commit:     56cbd8ee0fa157146ecac818080fcbf6f9f10af7
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 12 18:31:27 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Jun 12 18:32:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56cbd8ee

net-analyzer/zabbix: Bump to 3.0.3 for #574858

Package-Manager: portage-2.3.0_rc1

 net-analyzer/zabbix/Manifest                       |   1 +
 net-analyzer/zabbix/files/3.0/init.d/zabbix-agentd |  29 +
 net-analyzer/zabbix/files/3.0/init.d/zabbix-proxy  |  28 +
 net-analyzer/zabbix/files/3.0/init.d/zabbix-server |  27 +
 net-analyzer/zabbix/files/3.0/zabbix_agent.conf    |  81 +++
 net-analyzer/zabbix/files/3.0/zabbix_agentd.conf   | 390 ++++++++++++
 net-analyzer/zabbix/files/3.0/zabbix_proxy.conf    | 674 +++++++++++++++++++++
 net-analyzer/zabbix/files/3.0/zabbix_server.conf   | 635 +++++++++++++++++++
 net-analyzer/zabbix/zabbix-3.0.3.ebuild            | 330 ++++++++++
 9 files changed, 2195 insertions(+)

diff --git a/net-analyzer/zabbix/Manifest b/net-analyzer/zabbix/Manifest
index 3af962d..13b48cc 100644
--- a/net-analyzer/zabbix/Manifest
+++ b/net-analyzer/zabbix/Manifest
@@ -5,3 +5,4 @@ DIST zabbix-2.2.9.tar.gz 15032149 SHA256 
7c8c319b34beb978e4b7be8c93e084485f93fe0
 DIST zabbix-2.4.5.tar.gz 14851092 SHA256 
4e2cf1e4893a45d83379a05e2debabddf16beab324c93e84adc0bb57716fb957 SHA512 
bdcba684b3d1cdb9eb5e1f9b370ef450201de8dbd9fe1619ef2b2437de6c34762dc041fa873976c4af0a2af229eec450aa58b1663feb75b6345d303484d35ead
 WHIRLPOOL 
775e98b85152268b19cde553ff8bc7e86c0f6c5b873e85a0faca3edb5b51fe7d02267e52b3dccb0f08847bf11c6d0ba6b2d9f1e6bd472c882a2fac4326a83e10
 DIST zabbix-2.4.7.tar.gz 15012768 SHA256 
d2c47b8f5b9b91f18010d54c45de55845d979014a8b3fe4bef64e0b08f8b00da SHA512 
81860dfab38241e939a5cced50527fd16d35ec7b82232b2e0a4f17c90c1fc8ffb9bb95891ec27bb87445e5f81fba066dccc6b1a8833a4af4f483532f83d6172a
 WHIRLPOOL 
03525fa3113f258af7fbd9cf3f501846b466afa48dca2874f2e28562f63cf5824df51c89349f0c10830bb7b5650f70a32443ba9af2d826d99d02cf7bb2a01e21
 DIST zabbix-2.4.8.tar.gz 15474481 SHA256 
073f7498ff7c07e51f3395dbd850b375144d6a41388409d898bb2826b0a3e1f0 SHA512 
bf0816279f771448076bd8d8f1efe65651e24964b402ba128aace3d5afc0333f808a9d48b5763e334a05bc9f53fa934d81cc1b90072a0e9ba74b29205ab2b300
 WHIRLPOOL 
3e9da427680c3686820f3fb59bcac11614dea77ab577fd34fa339283b886306e94e4a3b73d5c966a8610e8d24992158b5f0ee3e3c2428152c1b7b92eb529d729
+DIST zabbix-3.0.3.tar.gz 15407273 SHA256 
1a42ce537580913268f1ece673208b49ca241fb067f8ea1ad497ce07455c10e0 SHA512 
b59fd6e34e2636d1ad69993e33abe3694ba58f99c0372fc421c5620ade3ff497b23a022fa273691b968dabe0b9776fb0db6f6bf85e1d60d7dd5d61240bc60419
 WHIRLPOOL 
556e432a5c5bbf31ff2efce0d2b64c9b0ca959dfbba27aa2ec774c4880b38d8c8f82f968bc99c22cef15ad00b3a45b5dd89de6f2da4a4b17ce9db3f28a4e138f

diff --git a/net-analyzer/zabbix/files/3.0/init.d/zabbix-agentd 
b/net-analyzer/zabbix/files/3.0/init.d/zabbix-agentd
new file mode 100644
index 0000000..3c827d5
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/init.d/zabbix-agentd
@@ -0,0 +1,29 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+pid_file="/run/zabbix/zabbix_agentd.pid"
+
+depend() {
+       need net
+       provide zabbix-agent
+       use zabbix-server
+}
+
+start_pre() {
+       checkpath -d -m 0775 -o zabbix:zabbix /run/zabbix
+}
+
+start() {
+       ebegin "Starting Zabbix agent"
+       start-stop-daemon --start --pidfile ${pid_file} \
+               --user zabbix --group zabbix --exec /usr/sbin/zabbix_agentd -- 
-c /etc/zabbix/zabbix_agentd.conf
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping Zabbix agent"
+       start-stop-daemon  --stop --pidfile ${pid_file}
+       eend $?
+}

diff --git a/net-analyzer/zabbix/files/3.0/init.d/zabbix-proxy 
b/net-analyzer/zabbix/files/3.0/init.d/zabbix-proxy
new file mode 100644
index 0000000..40ff5cb
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/init.d/zabbix-proxy
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+pid_file="/run/zabbix/zabbix_proxy.pid"
+
+depend() {
+       need net
+       provide zabbix-proxy
+}
+
+start_pre() {
+       checkpath -d -m 0775 -o zabbix:zabbix /run/zabbix
+}
+
+start() {
+       ebegin "Starting Zabbix proxy"
+       start-stop-daemon --start --pidfile ${pid_file} \
+               --user zabbix --group zabbix --exec /usr/sbin/zabbix_proxy -- 
-c /etc/zabbix/zabbix_proxy.conf
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping Zabbix proxy"
+       start-stop-daemon  --stop --pidfile ${pid_file}
+       eend $?
+}

diff --git a/net-analyzer/zabbix/files/3.0/init.d/zabbix-server 
b/net-analyzer/zabbix/files/3.0/init.d/zabbix-server
new file mode 100644
index 0000000..bd9f59e
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/init.d/zabbix-server
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+pid_file="/run/zabbix/zabbix_server.pid"
+
+depend() {
+       need net
+       use mysql postgresql
+}
+start_pre() {
+       checkpath -d -m 0775 -o zabbix:zabbix /run/zabbix
+}
+
+start() {
+       ebegin "Starting Zabbix server"
+       start-stop-daemon --start --user zabbix --group zabbix --pidfile 
${pid_file} \
+               --exec /usr/sbin/zabbix_server -- -c 
/etc/zabbix/zabbix_server.conf
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping Zabbix server"
+       start-stop-daemon --stop --pidfile ${pid_file} 
+       eend $?
+}

diff --git a/net-analyzer/zabbix/files/3.0/zabbix_agent.conf 
b/net-analyzer/zabbix/files/3.0/zabbix_agent.conf
new file mode 100644
index 0000000..dcb4b72
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/zabbix_agent.conf
@@ -0,0 +1,81 @@
+# This is a config file for Zabbix internet service daemon agent
+# To get more information about Zabbix visit http://www.zabbix.com
+
+### Option: Server
+#      IP address of Zabbix server
+#      Connections from other hosts will be denied
+#      If IPv6 support is enabled then '127.0.0.1', '::127.0.0.1', 
'::ffff:127.0.0.1' are treated equally.
+#
+# Mandatory: yes
+# Default:
+# Server=
+
+Server=127.0.0.1
+
+############ ADVANCED PARAMETERS #################
+
+### Option: Alias
+#      Sets an alias for parameter. It can be useful to substitute long and 
complex parameter name with a smaller and simpler one.
+#
+# Mandatory: no
+# Range:
+# Default:
+
+### Option: Timeout
+#      Spend no more than Timeout seconds on processing
+#
+# Mandatory: no
+# Range: 1-30
+# Default:
+# Timeout=3
+
+### Option: Include
+#      You may include individual files or all files in a directory in the 
configuration file.
+#      Installing Zabbix will create include directory in /usr/local/etc, 
unless modified during the compile time.
+#
+# Mandatory: no
+# Default:
+# Include=
+
+# Include=/usr/local/etc/zabbix_agent.userparams.conf
+# Include=/usr/local/etc/zabbix_agent.conf.d/
+
+####### USER-DEFINED MONITORED PARAMETERS #######
+
+### Option: UnsafeUserParameters
+#      Allow all characters to be passed in arguments to user-defined 
parameters.
+#      0 - do not allow
+#      1 - allow
+#
+# Mandatory: no
+# Default:
+# UnsafeUserParameters=0
+
+### Option: UserParameter
+#      User-defined parameter to monitor. There can be several user-defined 
parameters.
+#      Format: UserParameter=<key>,<shell command>
+#      See 'zabbix_agentd' directory for examples.
+#
+# Mandatory: no
+# Default:
+# UserParameter=
+
+####### LOADABLE MODULES #######
+
+### Option: LoadModulePath
+#      Full path to location of agent modules.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# LoadModulePath=${libdir}/modules
+
+### Option: LoadModule
+#      Module to load at agent startup. Modules are used to extend 
functionality of the agent.
+#      Format: LoadModule=<module.so>
+#      The modules must be located in directory specified by LoadModulePath.
+#      It is allowed to include multiple LoadModule parameters.
+#
+# Mandatory: no
+# Default:
+# LoadModule=

diff --git a/net-analyzer/zabbix/files/3.0/zabbix_agentd.conf 
b/net-analyzer/zabbix/files/3.0/zabbix_agentd.conf
new file mode 100644
index 0000000..5ff17ce
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/zabbix_agentd.conf
@@ -0,0 +1,390 @@
+# This is a configuration file for Zabbix agent daemon (Unix)
+# To get more information about Zabbix, visit http://www.zabbix.com
+
+############ GENERAL PARAMETERS #################
+
+### Option: PidFile
+#      Name of PID file.
+#
+# Mandatory: no
+# Default:
+# PidFile=/tmp/zabbix_agentd.pid
+PidFile=/run/zabbix/zabbix_agentd.pid
+
+### Option: LogType
+#      Specifies where log messages are written to:
+#              system  - syslog
+#              file    - file specified with LogFile parameter
+#              console - standard output
+#
+# Mandatory: no
+# Default:
+# LogType=file
+
+### Option: LogFile
+#      Log file name for LogType 'file' parameter.
+#
+# Mandatory: no
+# Default:
+# LogFile=
+
+LogFile=/var/log/zabbix/zabbix_agentd.log
+
+### Option: LogFileSize
+#      Maximum size of log file in MB.
+#      0 - disable automatic log rotation.
+#
+# Mandatory: no
+# Range: 0-1024
+# Default:
+# LogFileSize=1
+LogFileSize=128
+
+### Option: DebugLevel
+#      Specifies debug level:
+#      0 - basic information about starting and stopping of Zabbix processes
+#      1 - critical information
+#      2 - error information
+#      3 - warnings
+#      4 - for debugging (produces lots of information)
+#      5 - extended debugging (produces even more information)
+#
+# Mandatory: no
+# Range: 0-5
+# Default:
+# DebugLevel=3
+
+### Option: SourceIP
+#      Source IP address for outgoing connections.
+#
+# Mandatory: no
+# Default:
+# SourceIP=
+
+### Option: EnableRemoteCommands
+#      Whether remote commands from Zabbix server are allowed.
+#      0 - not allowed
+#      1 - allowed
+#
+# Mandatory: no
+# Default:
+# EnableRemoteCommands=0
+
+### Option: LogRemoteCommands
+#      Enable logging of executed shell commands as warnings.
+#      0 - disabled
+#      1 - enabled
+#
+# Mandatory: no
+# Default:
+# LogRemoteCommands=0
+
+##### Passive checks related
+
+### Option: Server
+#      List of comma delimited IP addresses (or hostnames) of Zabbix servers.
+#      Incoming connections will be accepted only from the hosts listed here.
+#      If IPv6 support is enabled then '127.0.0.1', '::127.0.0.1', 
'::ffff:127.0.0.1' are treated equally.
+#
+# Mandatory: no
+# Default:
+# Server=
+
+Server=127.0.0.1
+
+### Option: ListenPort
+#      Agent will listen on this port for connections from the server.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# ListenPort=10050
+
+### Option: ListenIP
+#      List of comma delimited IP addresses that the agent should listen on.
+#      First IP address is sent to Zabbix server if connecting to it to 
retrieve list of active checks.
+#
+# Mandatory: no
+# Default:
+# ListenIP=0.0.0.0
+
+### Option: StartAgents
+#      Number of pre-forked instances of zabbix_agentd that process passive 
checks.
+#      If set to 0, disables passive checks and the agent will not listen on 
any TCP port.
+#
+# Mandatory: no
+# Range: 0-100
+# Default:
+# StartAgents=3
+
+##### Active checks related
+
+### Option: ServerActive
+#      List of comma delimited IP:port (or hostname:port) pairs of Zabbix 
servers for active checks.
+#      If port is not specified, default port is used.
+#      IPv6 addresses must be enclosed in square brackets if port for that 
host is specified.
+#      If port is not specified, square brackets for IPv6 addresses are 
optional.
+#      If this parameter is not specified, active checks are disabled.
+#      Example: 
ServerActive=127.0.0.1:20051,zabbix.domain,[::1]:30051,::1,[12fc::1]
+#
+# Mandatory: no
+# Default:
+# ServerActive=
+
+ServerActive=127.0.0.1
+
+### Option: Hostname
+#      Unique, case sensitive hostname.
+#      Required for active checks and must match hostname as configured on the 
server.
+#      Value is acquired from HostnameItem if undefined.
+#
+# Mandatory: no
+# Default:
+# Hostname=
+
+Hostname=Zabbix server
+
+### Option: HostnameItem
+#      Item used for generating Hostname if it is undefined. Ignored if 
Hostname is defined.
+#      Does not support UserParameters or aliases.
+#
+# Mandatory: no
+# Default:
+# HostnameItem=system.hostname
+
+### Option: HostMetadata
+#      Optional parameter that defines host metadata.
+#      Host metadata is used at host auto-registration process.
+#      An agent will issue an error and not start if the value is over limit 
of 255 characters.
+#      If not defined, value will be acquired from HostMetadataItem.
+#
+# Mandatory: no
+# Range: 0-255 characters
+# Default:
+# HostMetadata=
+
+### Option: HostMetadataItem
+#      Optional parameter that defines an item used for getting host metadata.
+#      Host metadata is used at host auto-registration process.
+#      During an auto-registration request an agent will log a warning message 
if
+#      the value returned by specified item is over limit of 255 characters.
+#      This option is only used when HostMetadata is not defined.
+#
+# Mandatory: no
+# Default:
+# HostMetadataItem=
+
+### Option: RefreshActiveChecks
+#      How often list of active checks is refreshed, in seconds.
+#
+# Mandatory: no
+# Range: 60-3600
+# Default:
+# RefreshActiveChecks=120
+
+### Option: BufferSend
+#      Do not keep data longer than N seconds in buffer.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# BufferSend=5
+
+### Option: BufferSize
+#      Maximum number of values in a memory buffer. The agent will send
+#      all collected data to Zabbix Server or Proxy if the buffer is full.
+#
+# Mandatory: no
+# Range: 2-65535
+# Default:
+# BufferSize=100
+
+### Option: MaxLinesPerSecond
+#      Maximum number of new lines the agent will send per second to Zabbix 
Server
+#      or Proxy processing 'log' and 'logrt' active checks.
+#      The provided value will be overridden by the parameter 'maxlines',
+#      provided in 'log' or 'logrt' item keys.
+#
+# Mandatory: no
+# Range: 1-1000
+# Default:
+# MaxLinesPerSecond=20
+
+############ ADVANCED PARAMETERS #################
+
+### Option: Alias
+#      Sets an alias for an item key. It can be used to substitute long and 
complex item key with a smaller and simpler one.
+#      Multiple Alias parameters may be present. Multiple parameters with the 
same Alias key are not allowed.
+#      Different Alias keys may reference the same item key.
+#      For example, to retrieve the ID of user 'zabbix':
+#      
Alias=zabbix.userid:vfs.file.regexp[/etc/passwd,^zabbix:.:([0-9]+),,,,\1]
+#      Now shorthand key zabbix.userid may be used to retrieve data.
+#      Aliases can be used in HostMetadataItem but not in HostnameItem 
parameters.
+#
+# Mandatory: no
+# Range:
+# Default:
+
+### Option: Timeout
+#      Spend no more than Timeout seconds on processing
+#
+# Mandatory: no
+# Range: 1-30
+# Default:
+# Timeout=3
+
+### Option: AllowRoot
+#      Allow the agent to run as 'root'. If disabled and the agent is started 
by 'root', the agent
+#      will try to switch to the user specified by the User configuration 
option instead.
+#      Has no effect if started under a regular user.
+#      0 - do not allow
+#      1 - allow
+#
+# Mandatory: no
+# Default:
+# AllowRoot=0
+
+### Option: User
+#      Drop privileges to a specific, existing user on the system.
+#      Only has effect if run as 'root' and AllowRoot is disabled.
+#
+# Mandatory: no
+# Default:
+# User=zabbix
+
+### Option: Include
+#      You may include individual files or all files in a directory in the 
configuration file.
+#      Installing Zabbix will create include directory in /usr/local/etc, 
unless modified during the compile time.
+#
+# Mandatory: no
+# Default:
+# Include=
+
+# Include=/usr/local/etc/zabbix_agentd.userparams.conf
+# Include=/usr/local/etc/zabbix_agentd.conf.d/
+# Include=/usr/local/etc/zabbix_agentd.conf.d/*.conf
+
+####### USER-DEFINED MONITORED PARAMETERS #######
+
+### Option: UnsafeUserParameters
+#      Allow all characters to be passed in arguments to user-defined 
parameters.
+#      The following characters are not allowed:
+#      \ ' " ` * ? [ ] { } ~ $ ! & ; ( ) < > | # @
+#      Additionally, newline characters are not allowed.
+#      0 - do not allow
+#      1 - allow
+#
+# Mandatory: no
+# Range: 0-1
+# Default:
+# UnsafeUserParameters=0
+
+### Option: UserParameter
+#      User-defined parameter to monitor. There can be several user-defined 
parameters.
+#      Format: UserParameter=<key>,<shell command>
+#      See 'zabbix_agentd' directory for examples.
+#
+# Mandatory: no
+# Default:
+# UserParameter=
+
+####### LOADABLE MODULES #######
+
+### Option: LoadModulePath
+#      Full path to location of agent modules.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# LoadModulePath=${libdir}/modules
+
+### Option: LoadModule
+#      Module to load at agent startup. Modules are used to extend 
functionality of the agent.
+#      Format: LoadModule=<module.so>
+#      The modules must be located in directory specified by LoadModulePath.
+#      It is allowed to include multiple LoadModule parameters.
+#
+# Mandatory: no
+# Default:
+# LoadModule=
+
+####### TLS-RELATED PARAMETERS #######
+
+### Option: TLSConnect
+#      How the agent should connect to server or proxy. Used for active checks.
+#      Only one value can be specified:
+#              unencrypted - connect without encryption
+#              psk         - connect using TLS and a pre-shared key
+#              cert        - connect using TLS and a certificate
+#
+# Mandatory: yes, if TLS certificate or PSK parameters are defined (even for 
'unencrypted' connection)
+# Default:
+# TLSConnect=unencrypted
+
+### Option: TLSAccept
+#      What incoming connections to accept.
+#      Multiple values can be specified, separated by comma:
+#              unencrypted - accept connections without encryption
+#              psk         - accept connections secured with TLS and a 
pre-shared key
+#              cert        - accept connections secured with TLS and a 
certificate
+#
+# Mandatory: yes, if TLS certificate or PSK parameters are defined (even for 
'unencrypted' connection)
+# Default:
+# TLSAccept=unencrypted
+
+### Option: TLSCAFile
+#      Full pathname of a file containing the top-level CA(s) certificates for
+#      peer certificate verification.
+#
+# Mandatory: no
+# Default:
+# TLSCAFile=
+
+### Option: TLSCRLFile
+#      Full pathname of a file containing revoked certificates.
+#
+# Mandatory: no
+# Default:
+# TLSCRLFile=
+
+### Option: TLSServerCertIssuer
+#      Allowed server certificate issuer.
+#
+# Mandatory: no
+# Default:
+# TLSServerCertIssuer=
+
+### Option: TLSServerCertSubject
+#      Allowed server certificate subject.
+#
+# Mandatory: no
+# Default:
+# TLSServerCertSubject=
+
+### Option: TLSCertFile
+#      Full pathname of a file containing the agent certificate or certificate 
chain.
+#
+# Mandatory: no
+# Default:
+# TLSCertFile=
+
+### Option: TLSKeyFile
+#      Full pathname of a file containing the agent private key.
+#
+# Mandatory: no
+# Default:
+# TLSKeyFile=
+
+### Option: TLSPSKIdentity
+#      Unique, case sensitive string used to identify the pre-shared key.
+#
+# Mandatory: no
+# Default:
+# TLSPSKIdentity=
+
+### Option: TLSPSKFile
+#      Full pathname of a file containing the pre-shared key.
+#
+# Mandatory: no
+# Default:
+# TLSPSKFile=

diff --git a/net-analyzer/zabbix/files/3.0/zabbix_proxy.conf 
b/net-analyzer/zabbix/files/3.0/zabbix_proxy.conf
new file mode 100644
index 0000000..f96b0d0
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/zabbix_proxy.conf
@@ -0,0 +1,674 @@
+# This is a configuration file for Zabbix proxy daemon
+# To get more information about Zabbix, visit http://www.zabbix.com
+
+############ GENERAL PARAMETERS #################
+
+### Option: ProxyMode
+#      Proxy operating mode.
+#      0 - proxy in the active mode
+#      1 - proxy in the passive mode
+#
+# Mandatory: no
+# Default:
+# ProxyMode=0
+
+### Option: Server
+#      IP address (or hostname) of Zabbix server.
+#      Active proxy will get configuration data from the server.
+#      For a proxy in the passive mode this parameter will be ignored.
+#
+# Mandatory: yes (if ProxyMode is set to 0)
+# Default:
+# Server=
+
+Server=127.0.0.1
+
+### Option: ServerPort
+#      Port of Zabbix trapper on Zabbix server.
+#      For a proxy in the passive mode this parameter will be ignored.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# ServerPort=10051
+
+### Option: Hostname
+#      Unique, case sensitive Proxy name. Make sure the Proxy name is known to 
the server!
+#      Value is acquired from HostnameItem if undefined.
+#
+# Mandatory: no
+# Default:
+# Hostname=
+
+Hostname=Zabbix proxy
+
+### Option: HostnameItem
+#      Item used for generating Hostname if it is undefined.
+#      Ignored if Hostname is defined.
+#
+# Mandatory: no
+# Default:
+# HostnameItem=system.hostname
+
+### Option: ListenPort
+#      Listen port for trapper.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# ListenPort=10051
+
+### Option: SourceIP
+#      Source IP address for outgoing connections.
+#
+# Mandatory: no
+# Default:
+# SourceIP=
+
+### Option: LogType
+#      Specifies where log messages are written to:
+#              system  - syslog
+#              file    - file specified with LogFile parameter
+#              console - standard output
+#
+# Mandatory: no
+# Default:
+# LogType=file
+
+### Option: LogFile
+#      Log file name for LogType 'file' parameter.
+#
+# Mandatory: no
+# Default:
+# LogFile=
+
+LogFile=/var/log/zabbix/zabbix_proxy.log
+
+### Option: LogFileSize
+#      Maximum size of log file in MB.
+#      0 - disable automatic log rotation.
+#
+# Mandatory: no
+# Range: 0-1024
+# Default:
+# LogFileSize=1
+LogFileSize=128
+
+### Option: DebugLevel
+#      Specifies debug level:
+#      0 - basic information about starting and stopping of Zabbix processes
+#      1 - critical information
+#      2 - error information
+#      3 - warnings
+#      4 - for debugging (produces lots of information)
+#      5 - extended debugging (produces even more information)
+#
+# Mandatory: no
+# Range: 0-5
+# Default:
+# DebugLevel=3
+
+### Option: PidFile
+#      Name of PID file.
+#
+# Mandatory: no
+# Default:
+# PidFile=/tmp/zabbix_proxy.pid
+PidFile=/run/zabbix/zabbix_proxy.pid
+
+### Option: DBHost
+#      Database host name.
+#      If set to localhost, socket is used for MySQL.
+#      If set to empty string, socket is used for PostgreSQL.
+#
+# Mandatory: no
+# Default:
+# DBHost=localhost
+
+### Option: DBName
+#      Database name.
+#      For SQLite3 path to database file must be provided. DBUser and 
DBPassword are ignored.
+#      Warning: do not attempt to use the same database Zabbix server is using.
+#
+# Mandatory: yes
+# Default:
+# DBName=
+
+DBName=zabbix_proxy
+
+### Option: DBSchema
+#      Schema name. Used for IBM DB2 and PostgreSQL.
+#
+# Mandatory: no
+# Default:
+# DBSchema=
+
+### Option: DBUser
+#      Database user. Ignored for SQLite.
+#
+# Default:
+# DBUser=
+
+DBUser=zabbix
+
+### Option: DBPassword
+#      Database password. Ignored for SQLite.
+#      Comment this line if no password is used.
+#
+# Mandatory: no
+# Default:
+# DBPassword=
+
+### Option: DBSocket
+#      Path to MySQL socket.
+#
+# Mandatory: no
+# Default:
+# DBSocket=/tmp/mysql.sock
+
+# Option: DBPort
+#      Database port when not using local socket. Ignored for SQLite.
+#
+# Mandatory: no
+# Default (for MySQL):
+# DBPort=3306
+
+######### PROXY SPECIFIC PARAMETERS #############
+
+### Option: ProxyLocalBuffer
+#      Proxy will keep data locally for N hours, even if the data have already 
been synced with the server.
+#      This parameter may be used if local data will be used by third party 
applications.
+#
+# Mandatory: no
+# Range: 0-720
+# Default:
+# ProxyLocalBuffer=0
+
+### Option: ProxyOfflineBuffer
+#      Proxy will keep data for N hours in case if no connectivity with Zabbix 
Server.
+#      Older data will be lost.
+#
+# Mandatory: no
+# Range: 1-720
+# Default:
+# ProxyOfflineBuffer=1
+
+### Option: HeartbeatFrequency
+#      Frequency of heartbeat messages in seconds.
+#      Used for monitoring availability of Proxy on server side.
+#      0 - heartbeat messages disabled.
+#      For a proxy in the passive mode this parameter will be ignored.
+#
+# Mandatory: no
+# Range: 0-3600
+# Default:
+# HeartbeatFrequency=60
+
+### Option: ConfigFrequency
+#      How often proxy retrieves configuration data from Zabbix Server in 
seconds.
+#      For a proxy in the passive mode this parameter will be ignored.
+#
+# Mandatory: no
+# Range: 1-3600*24*7
+# Default:
+# ConfigFrequency=3600
+
+### Option: DataSenderFrequency
+#      Proxy will send collected data to the Server every N seconds.
+#      For a proxy in the passive mode this parameter will be ignored.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# DataSenderFrequency=1
+
+############ ADVANCED PARAMETERS ################
+
+### Option: StartPollers
+#      Number of pre-forked instances of pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartPollers=5
+
+### Option: StartIPMIPollers
+#      Number of pre-forked instances of IPMI pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartIPMIPollers=0
+
+### Option: StartPollersUnreachable
+#      Number of pre-forked instances of pollers for unreachable hosts 
(including IPMI and Java).
+#      At least one poller for unreachable hosts must be running if regular, 
IPMI or Java pollers
+#      are started.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartPollersUnreachable=1
+
+### Option: StartTrappers
+#      Number of pre-forked instances of trappers.
+#      Trappers accept incoming connections from Zabbix sender and active 
agents.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartTrappers=5
+
+### Option: StartPingers
+#      Number of pre-forked instances of ICMP pingers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartPingers=1
+
+### Option: StartDiscoverers
+#      Number of pre-forked instances of discoverers.
+#
+# Mandatory: no
+# Range: 0-250
+# Default:
+# StartDiscoverers=1
+
+### Option: StartHTTPPollers
+#      Number of pre-forked instances of HTTP pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartHTTPPollers=1
+
+### Option: JavaGateway
+#      IP address (or hostname) of Zabbix Java gateway.
+#      Only required if Java pollers are started.
+#
+# Mandatory: no
+# Default:
+# JavaGateway=
+
+### Option: JavaGatewayPort
+#      Port that Zabbix Java gateway listens on.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# JavaGatewayPort=10052
+
+### Option: StartJavaPollers
+#      Number of pre-forked instances of Java pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartJavaPollers=0
+
+### Option: StartVMwareCollectors
+#      Number of pre-forked vmware collector instances.
+#
+# Mandatory: no
+# Range: 0-250
+# Default:
+# StartVMwareCollectors=0
+
+### Option: VMwareFrequency
+#      How often Zabbix will connect to VMware service to obtain a new data.
+#
+# Mandatory: no
+# Range: 10-86400
+# Default:
+# VMwareFrequency=60
+
+### Option: VMwarePerfFrequency
+#      How often Zabbix will connect to VMware service to obtain performance 
data.
+#
+# Mandatory: no
+# Range: 10-86400
+# Default:
+# VMwarePerfFrequency=60
+
+### Option: VMwareCacheSize
+#      Size of VMware cache, in bytes.
+#      Shared memory size for storing VMware data.
+#      Only used if VMware collectors are started.
+#
+# Mandatory: no
+# Range: 256K-2G
+# Default:
+# VMwareCacheSize=8M
+
+### Option: VMwareTimeout
+#      Specifies how many seconds vmware collector waits for response from 
VMware service.
+#
+# Mandatory: no
+# Range: 1-300
+# Default:
+# VMwareTimeout=10
+
+### Option: SNMPTrapperFile
+#      Temporary file used for passing data from SNMP trap daemon to the proxy.
+#      Must be the same as in zabbix_trap_receiver.pl or SNMPTT configuration 
file.
+#
+# Mandatory: no
+# Default:
+# SNMPTrapperFile=/tmp/zabbix_traps.tmp
+
+### Option: StartSNMPTrapper
+#      If 1, SNMP trapper process is started.
+#
+# Mandatory: no
+# Range: 0-1
+# Default:
+# StartSNMPTrapper=0
+
+### Option: ListenIP
+#      List of comma delimited IP addresses that the trapper should listen on.
+#      Trapper will listen on all network interfaces if this parameter is 
missing.
+#
+# Mandatory: no
+# Default:
+# ListenIP=0.0.0.0
+
+### Option: HousekeepingFrequency
+#      How often Zabbix will perform housekeeping procedure (in hours).
+#      Housekeeping is removing outdated information from the database.
+#      To prevent Housekeeper from being overloaded, no more than 4 times 
HousekeepingFrequency
+#      hours of outdated information are deleted in one housekeeping cycle.
+#      To lower load on proxy startup housekeeping is postponed for 30 minutes 
after proxy start.
+#      With HousekeepingFrequency=0 the housekeeper can be only executed using 
the runtime control option.
+#      In this case the period of outdated information deleted in one 
housekeeping cycle is 4 times the
+#      period since the last housekeeping cycle, but not less than 4 hours and 
not greater than 4 days.
+#
+# Mandatory: no
+# Range: 0-24
+# Default:
+# HousekeepingFrequency=1
+
+### Option: CacheSize
+#      Size of configuration cache, in bytes.
+#      Shared memory size, for storing hosts and items data.
+#
+# Mandatory: no
+# Range: 128K-8G
+# Default:
+# CacheSize=8M
+
+### Option: StartDBSyncers
+#      Number of pre-forked instances of DB Syncers.
+#
+# Mandatory: no
+# Range: 1-100
+# Default:
+# StartDBSyncers=4
+
+### Option: HistoryCacheSize
+#      Size of history cache, in bytes.
+#      Shared memory size for storing history data.
+#
+# Mandatory: no
+# Range: 128K-2G
+# Default:
+# HistoryCacheSize=16M
+
+### Option: HistoryIndexCacheSize
+#      Size of history index cache, in bytes.
+#      Shared memory size for indexing history cache.
+#
+# Mandatory: no
+# Range: 128K-2G
+# Default:
+# HistoryIndexCacheSize=4M
+
+### Option: Timeout
+#      Specifies how long we wait for agent, SNMP device or external check (in 
seconds).
+#
+# Mandatory: no
+# Range: 1-30
+# Default:
+# Timeout=3
+
+Timeout=4
+
+### Option: TrapperTimeout
+#      Specifies how many seconds trapper may spend processing new data.
+#
+# Mandatory: no
+# Range: 1-300
+# Default:
+# TrapperTimeout=300
+
+### Option: UnreachablePeriod
+#      After how many seconds of unreachability treat a host as unavailable.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# UnreachablePeriod=45
+
+### Option: UnavailableDelay
+#      How often host is checked for availability during the unavailability 
period, in seconds.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# UnavailableDelay=60
+
+### Option: UnreachableDelay
+#      How often host is checked for availability during the unreachability 
period, in seconds.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# UnreachableDelay=15
+
+### Option: ExternalScripts
+#      Full path to location of external scripts.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# ExternalScripts=${datadir}/zabbix/externalscripts
+
+### Option: FpingLocation
+#      Location of fping.
+#      Make sure that fping binary has root ownership and SUID flag set.
+#
+# Mandatory: no
+# Default:
+# FpingLocation=/usr/sbin/fping
+
+### Option: Fping6Location
+#      Location of fping6.
+#      Make sure that fping6 binary has root ownership and SUID flag set.
+#      Make empty if your fping utility is capable to process IPv6 addresses.
+#
+# Mandatory: no
+# Default:
+# Fping6Location=/usr/sbin/fping6
+
+### Option: SSHKeyLocation
+#      Location of public and private keys for SSH checks and actions.
+#
+# Mandatory: no
+# Default:
+# SSHKeyLocation=
+
+### Option: LogSlowQueries
+#      How long a database query may take before being logged (in 
milliseconds).
+#      Only works if DebugLevel set to 3 or 4.
+#      0 - don't log slow queries.
+#
+# Mandatory: no
+# Range: 1-3600000
+# Default:
+# LogSlowQueries=0
+
+LogSlowQueries=3000
+
+### Option: TmpDir
+#      Temporary directory.
+#
+# Mandatory: no
+# Default:
+# TmpDir=/tmp
+
+### Option: AllowRoot
+#      Allow the proxy to run as 'root'. If disabled and the proxy is started 
by 'root', the proxy
+#      will try to switch to the user specified by the User configuration 
option instead.
+#      Has no effect if started under a regular user.
+#      0 - do not allow
+#      1 - allow
+#
+# Mandatory: no
+# Default:
+# AllowRoot=0
+
+### Option: User
+#      Drop privileges to a specific, existing user on the system.
+#      Only has effect if run as 'root' and AllowRoot is disabled.
+#
+# Mandatory: no
+# Default:
+# User=zabbix
+
+### Option: Include
+#      You may include individual files or all files in a directory in the 
configuration file.
+#      Installing Zabbix will create include directory in /usr/local/etc, 
unless modified during the compile time.
+#
+# Mandatory: no
+# Default:
+# Include=
+
+# Include=/usr/local/etc/zabbix_proxy.general.conf
+# Include=/usr/local/etc/zabbix_proxy.conf.d/
+# Include=/usr/local/etc/zabbix_proxy.conf.d/*.conf
+
+### Option: SSLCertLocation
+#      Location of SSL client certificates.
+#      This parameter is used only in web monitoring.
+#
+# Mandatory: no
+# Default:
+# SSLCertLocation=${datadir}/zabbix/ssl/certs
+
+### Option: SSLKeyLocation
+#      Location of private keys for SSL client certificates.
+#      This parameter is used only in web monitoring.
+#
+# Mandatory: no
+# Default:
+# SSLKeyLocation=${datadir}/zabbix/ssl/keys
+
+### Option: SSLCALocation
+#      Location of certificate authority (CA) files for SSL server certificate 
verification.
+#      If not set, system-wide directory will be used.
+#      This parameter is used only in web monitoring.
+#
+# Mandatory: no
+# Default:
+# SSLCALocation=
+
+####### LOADABLE MODULES #######
+
+### Option: LoadModulePath
+#      Full path to location of proxy modules.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# LoadModulePath=${libdir}/modules
+
+### Option: LoadModule
+#      Module to load at proxy startup. Modules are used to extend 
functionality of the proxy.
+#      Format: LoadModule=<module.so>
+#      The modules must be located in directory specified by LoadModulePath.
+#      It is allowed to include multiple LoadModule parameters.
+#
+# Mandatory: no
+# Default:
+# LoadModule=
+
+####### TLS-RELATED PARAMETERS #######
+
+### Option: TLSConnect
+#      How the proxy should connect to Zabbix server. Used for an active 
proxy, ignored on a passive proxy.
+#      Only one value can be specified:
+#              unencrypted - connect without encryption
+#              psk         - connect using TLS and a pre-shared key
+#              cert        - connect using TLS and a certificate
+#
+# Mandatory: yes, if TLS certificate or PSK parameters are defined (even for 
'unencrypted' connection)
+# Default:
+# TLSConnect=unencrypted
+
+### Option: TLSAccept
+#      What incoming connections to accept from Zabbix server. Used for a 
passive proxy, ignored on an active proxy.
+#      Multiple values can be specified, separated by comma:
+#              unencrypted - accept connections without encryption
+#              psk         - accept connections secured with TLS and a 
pre-shared key
+#              cert        - accept connections secured with TLS and a 
certificate
+#
+# Mandatory: yes, if TLS certificate or PSK parameters are defined (even for 
'unencrypted' connection)
+# Default:
+# TLSAccept=unencrypted
+
+### Option: TLSCAFile
+#      Full pathname of a file containing the top-level CA(s) certificates for
+#      peer certificate verification.
+#
+# Mandatory: no
+# Default:
+# TLSCAFile=
+
+### Option: TLSCRLFile
+#      Full pathname of a file containing revoked certificates.
+#
+# Mandatory: no
+# Default:
+# TLSCRLFile=
+
+### Option: TLSServerCertIssuer
+#      Allowed server certificate issuer.
+#
+# Mandatory: no
+# Default:
+# TLSServerCertIssuer=
+
+### Option: TLSServerCertSubject
+#      Allowed server certificate subject.
+#
+# Mandatory: no
+# Default:
+# TLSServerCertSubject=
+
+### Option: TLSCertFile
+#      Full pathname of a file containing the proxy certificate or certificate 
chain.
+#
+# Mandatory: no
+# Default:
+# TLSCertFile=
+
+### Option: TLSKeyFile
+#      Full pathname of a file containing the proxy private key.
+#
+# Mandatory: no
+# Default:
+# TLSKeyFile=
+
+### Option: TLSPSKIdentity
+#      Unique, case sensitive string used to identify the pre-shared key.
+#
+# Mandatory: no
+# Default:
+# TLSPSKIdentity=
+
+### Option: TLSPSKFile
+#      Full pathname of a file containing the pre-shared key.
+#
+# Mandatory: no
+# Default:
+# TLSPSKFile=

diff --git a/net-analyzer/zabbix/files/3.0/zabbix_server.conf 
b/net-analyzer/zabbix/files/3.0/zabbix_server.conf
new file mode 100644
index 0000000..81a4961
--- /dev/null
+++ b/net-analyzer/zabbix/files/3.0/zabbix_server.conf
@@ -0,0 +1,635 @@
+# This is a configuration file for Zabbix server daemon
+# To get more information about Zabbix, visit http://www.zabbix.com
+
+############ GENERAL PARAMETERS #################
+
+### Option: ListenPort
+#      Listen port for trapper.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# ListenPort=10051
+
+### Option: SourceIP
+#      Source IP address for outgoing connections.
+#
+# Mandatory: no
+# Default:
+# SourceIP=
+
+### Option: LogType
+#      Specifies where log messages are written to:
+#              system  - syslog
+#              file    - file specified with LogFile parameter
+#              console - standard output
+#
+# Mandatory: no
+# Default:
+# LogType=file
+
+### Option: LogFile
+#      Log file name for LogType 'file' parameter.
+#
+# Mandatory: no
+# Default:
+# LogFile=
+
+LogFile=/var/log/zabbix/zabbix_server.log
+
+### Option: LogFileSize
+#      Maximum size of log file in MB.
+#      0 - disable automatic log rotation.
+#
+# Mandatory: no
+# Range: 0-1024
+# Default:
+# LogFileSize=1
+LogFileSize=128
+
+### Option: DebugLevel
+#      Specifies debug level:
+#      0 - basic information about starting and stopping of Zabbix processes
+#      1 - critical information
+#      2 - error information
+#      3 - warnings
+#      4 - for debugging (produces lots of information)
+#      5 - extended debugging (produces even more information)
+#
+# Mandatory: no
+# Range: 0-5
+# Default:
+# DebugLevel=3
+
+### Option: PidFile
+#      Name of PID file.
+#
+# Mandatory: no
+# Default:
+# PidFile=/tmp/zabbix_server.pid
+PidFile=/run/zabbix/zabbix_server.pid
+
+### Option: DBHost
+#      Database host name.
+#      If set to localhost, socket is used for MySQL.
+#      If set to empty string, socket is used for PostgreSQL.
+#
+# Mandatory: no
+# Default:
+# DBHost=localhost
+
+### Option: DBName
+#      Database name.
+#      For SQLite3 path to database file must be provided. DBUser and 
DBPassword are ignored.
+#
+# Mandatory: yes
+# Default:
+# DBName=
+
+DBName=zabbix
+
+### Option: DBSchema
+#      Schema name. Used for IBM DB2 and PostgreSQL.
+#
+# Mandatory: no
+# Default:
+# DBSchema=
+
+### Option: DBUser
+#      Database user. Ignored for SQLite.
+#
+# Mandatory: no
+# Default:
+# DBUser=
+
+DBUser=zabbix
+
+### Option: DBPassword
+#      Database password. Ignored for SQLite.
+#      Comment this line if no password is used.
+#
+# Mandatory: no
+# Default:
+# DBPassword=
+
+### Option: DBSocket
+#      Path to MySQL socket.
+#
+# Mandatory: no
+# Default:
+# DBSocket=/tmp/mysql.sock
+
+### Option: DBPort
+#      Database port when not using local socket. Ignored for SQLite.
+#
+# Mandatory: no
+# Range: 1024-65535
+# Default (for MySQL):
+# DBPort=3306
+
+############ ADVANCED PARAMETERS ################
+
+### Option: StartPollers
+#      Number of pre-forked instances of pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartPollers=5
+
+### Option: StartIPMIPollers
+#      Number of pre-forked instances of IPMI pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartIPMIPollers=0
+
+### Option: StartPollersUnreachable
+#      Number of pre-forked instances of pollers for unreachable hosts 
(including IPMI and Java).
+#      At least one poller for unreachable hosts must be running if regular, 
IPMI or Java pollers
+#      are started.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartPollersUnreachable=1
+
+### Option: StartTrappers
+#      Number of pre-forked instances of trappers.
+#      Trappers accept incoming connections from Zabbix sender, active agents 
and active proxies.
+#      At least one trapper process must be running to display server 
availability and view queue
+#      in the frontend.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartTrappers=5
+
+### Option: StartPingers
+#      Number of pre-forked instances of ICMP pingers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartPingers=1
+
+### Option: StartDiscoverers
+#      Number of pre-forked instances of discoverers.
+#
+# Mandatory: no
+# Range: 0-250
+# Default:
+# StartDiscoverers=1
+
+### Option: StartHTTPPollers
+#      Number of pre-forked instances of HTTP pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartHTTPPollers=1
+
+### Option: StartTimers
+#      Number of pre-forked instances of timers.
+#      Timers process time-based trigger functions and maintenance periods.
+#      Only the first timer process handles the maintenance periods.
+#
+# Mandatory: no
+# Range: 1-1000
+# Default:
+# StartTimers=1
+
+### Option: StartEscalators
+#      Number of pre-forked instances of escalators.
+#
+# Mandatory: no
+# Range: 0-100
+# Default:
+# StartEscalators=1
+
+### Option: JavaGateway
+#      IP address (or hostname) of Zabbix Java gateway.
+#      Only required if Java pollers are started.
+#
+# Mandatory: no
+# Default:
+# JavaGateway=
+
+### Option: JavaGatewayPort
+#      Port that Zabbix Java gateway listens on.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# JavaGatewayPort=10052
+
+### Option: StartJavaPollers
+#      Number of pre-forked instances of Java pollers.
+#
+# Mandatory: no
+# Range: 0-1000
+# Default:
+# StartJavaPollers=0
+
+### Option: StartVMwareCollectors
+#      Number of pre-forked vmware collector instances.
+#
+# Mandatory: no
+# Range: 0-250
+# Default:
+# StartVMwareCollectors=0
+
+### Option: VMwareFrequency
+#      How often Zabbix will connect to VMware service to obtain a new data.
+#
+# Mandatory: no
+# Range: 10-86400
+# Default:
+# VMwareFrequency=60
+
+### Option: VMwarePerfFrequency
+#      How often Zabbix will connect to VMware service to obtain performance 
data.
+#
+# Mandatory: no
+# Range: 10-86400
+# Default:
+# VMwarePerfFrequency=60
+
+### Option: VMwareCacheSize
+#      Size of VMware cache, in bytes.
+#      Shared memory size for storing VMware data.
+#      Only used if VMware collectors are started.
+#
+# Mandatory: no
+# Range: 256K-2G
+# Default:
+# VMwareCacheSize=8M
+
+### Option: VMwareTimeout
+#      Specifies how many seconds vmware collector waits for response from 
VMware service.
+#
+# Mandatory: no
+# Range: 1-300
+# Default:
+# VMwareTimeout=10
+
+### Option: SNMPTrapperFile
+#      Temporary file used for passing data from SNMP trap daemon to the 
server.
+#      Must be the same as in zabbix_trap_receiver.pl or SNMPTT configuration 
file.
+#
+# Mandatory: no
+# Default:
+# SNMPTrapperFile=/tmp/zabbix_traps.tmp
+
+### Option: StartSNMPTrapper
+#      If 1, SNMP trapper process is started.
+#
+# Mandatory: no
+# Range: 0-1
+# Default:
+# StartSNMPTrapper=0
+
+### Option: ListenIP
+#      List of comma delimited IP addresses that the trapper should listen on.
+#      Trapper will listen on all network interfaces if this parameter is 
missing.
+#
+# Mandatory: no
+# Default:
+# ListenIP=0.0.0.0
+
+# ListenIP=127.0.0.1
+
+### Option: HousekeepingFrequency
+#      How often Zabbix will perform housekeeping procedure (in hours).
+#      Housekeeping is removing outdated information from the database.
+#      To prevent Housekeeper from being overloaded, no more than 4 times 
HousekeepingFrequency
+#      hours of outdated information are deleted in one housekeeping cycle, 
for each item.
+#      To lower load on server startup housekeeping is postponed for 30 
minutes after server start.
+#      With HousekeepingFrequency=0 the housekeeper can be only executed using 
the runtime control option.
+#      In this case the period of outdated information deleted in one 
housekeeping cycle is 4 times the
+#      period since the last housekeeping cycle, but not less than 4 hours and 
not greater than 4 days.
+#
+# Mandatory: no
+# Range: 0-24
+# Default:
+# HousekeepingFrequency=1
+
+### Option: MaxHousekeeperDelete
+#      The table "housekeeper" contains "tasks" for housekeeping procedure in 
the format:
+#      [housekeeperid], [tablename], [field], [value].
+#      No more than 'MaxHousekeeperDelete' rows (corresponding to [tablename], 
[field], [value])
+#      will be deleted per one task in one housekeeping cycle.
+#      SQLite3 does not use this parameter, deletes all corresponding rows 
without a limit.
+#      If set to 0 then no limit is used at all. In this case you must know 
what you are doing!
+#
+# Mandatory: no
+# Range: 0-1000000
+# Default:
+# MaxHousekeeperDelete=5000
+
+### Option: SenderFrequency
+#      How often Zabbix will try to send unsent alerts (in seconds).
+#
+# Mandatory: no
+# Range: 5-3600
+# Default:
+# SenderFrequency=30
+
+### Option: CacheSize
+#      Size of configuration cache, in bytes.
+#      Shared memory size for storing host, item and trigger data.
+#
+# Mandatory: no
+# Range: 128K-8G
+# Default:
+# CacheSize=8M
+
+### Option: CacheUpdateFrequency
+#      How often Zabbix will perform update of configuration cache, in seconds.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# CacheUpdateFrequency=60
+
+### Option: StartDBSyncers
+#      Number of pre-forked instances of DB Syncers.
+#
+# Mandatory: no
+# Range: 1-100
+# Default:
+# StartDBSyncers=4
+
+### Option: HistoryCacheSize
+#      Size of history cache, in bytes.
+#      Shared memory size for storing history data.
+#
+# Mandatory: no
+# Range: 128K-2G
+# Default:
+# HistoryCacheSize=16M
+
+### Option: HistoryIndexCacheSize
+#      Size of history index cache, in bytes.
+#      Shared memory size for indexing history cache.
+#
+# Mandatory: no
+# Range: 128K-2G
+# Default:
+# HistoryIndexCacheSize=4M
+
+### Option: TrendCacheSize
+#      Size of trend cache, in bytes.
+#      Shared memory size for storing trends data.
+#
+# Mandatory: no
+# Range: 128K-2G
+# Default:
+# TrendCacheSize=4M
+
+### Option: ValueCacheSize
+#      Size of history value cache, in bytes.
+#      Shared memory size for caching item history data requests.
+#      Setting to 0 disables value cache.
+#
+# Mandatory: no
+# Range: 0,128K-64G
+# Default:
+# ValueCacheSize=8M
+
+### Option: Timeout
+#      Specifies how long we wait for agent, SNMP device or external check (in 
seconds).
+#
+# Mandatory: no
+# Range: 1-30
+# Default:
+# Timeout=3
+
+Timeout=4
+
+### Option: TrapperTimeout
+#      Specifies how many seconds trapper may spend processing new data.
+#
+# Mandatory: no
+# Range: 1-300
+# Default:
+# TrapperTimeout=300
+
+### Option: UnreachablePeriod
+#      After how many seconds of unreachability treat a host as unavailable.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# UnreachablePeriod=45
+
+### Option: UnavailableDelay
+#      How often host is checked for availability during the unavailability 
period, in seconds.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# UnavailableDelay=60
+
+### Option: UnreachableDelay
+#      How often host is checked for availability during the unreachability 
period, in seconds.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# UnreachableDelay=15
+
+### Option: AlertScriptsPath
+#      Full path to location of custom alert scripts.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# AlertScriptsPath=${datadir}/zabbix/alertscripts
+AlertScriptsPath=/var/lib/zabbix/alertscripts
+
+### Option: ExternalScripts
+#      Full path to location of external scripts.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# ExternalScripts=${datadir}/zabbix/externalscripts
+ExternalScripts=/var/lib/zabbix/externalscripts
+
+### Option: FpingLocation
+#      Location of fping.
+#      Make sure that fping binary has root ownership and SUID flag set.
+#
+# Mandatory: no
+# Default:
+# FpingLocation=/usr/sbin/fping
+
+### Option: Fping6Location
+#      Location of fping6.
+#      Make sure that fping6 binary has root ownership and SUID flag set.
+#      Make empty if your fping utility is capable to process IPv6 addresses.
+#
+# Mandatory: no
+# Default:
+# Fping6Location=/usr/sbin/fping6
+
+### Option: SSHKeyLocation
+#      Location of public and private keys for SSH checks and actions.
+#
+# Mandatory: no
+# Default:
+# SSHKeyLocation=
+
+### Option: LogSlowQueries
+#      How long a database query may take before being logged (in 
milliseconds).
+#      Only works if DebugLevel set to 3, 4 or 5.
+#      0 - don't log slow queries.
+#
+# Mandatory: no
+# Range: 1-3600000
+# Default:
+# LogSlowQueries=0
+
+LogSlowQueries=3000
+
+### Option: TmpDir
+#      Temporary directory.
+#
+# Mandatory: no
+# Default:
+# TmpDir=/tmp
+
+### Option: StartProxyPollers
+#      Number of pre-forked instances of pollers for passive proxies.
+#
+# Mandatory: no
+# Range: 0-250
+# Default:
+# StartProxyPollers=1
+
+### Option: ProxyConfigFrequency
+#      How often Zabbix Server sends configuration data to a Zabbix Proxy in 
seconds.
+#      This parameter is used only for proxies in the passive mode.
+#
+# Mandatory: no
+# Range: 1-3600*24*7
+# Default:
+# ProxyConfigFrequency=3600
+
+### Option: ProxyDataFrequency
+#      How often Zabbix Server requests history data from a Zabbix Proxy in 
seconds.
+#      This parameter is used only for proxies in the passive mode.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# ProxyDataFrequency=1
+
+### Option: AllowRoot
+#      Allow the server to run as 'root'. If disabled and the server is 
started by 'root', the server
+#      will try to switch to the user specified by the User configuration 
option instead.
+#      Has no effect if started under a regular user.
+#      0 - do not allow
+#      1 - allow
+#
+# Mandatory: no
+# Default:
+# AllowRoot=0
+
+### Option: User
+#      Drop privileges to a specific, existing user on the system.
+#      Only has effect if run as 'root' and AllowRoot is disabled.
+#
+# Mandatory: no
+# Default:
+# User=zabbix
+
+### Option: Include
+#      You may include individual files or all files in a directory in the 
configuration file.
+#      Installing Zabbix will create include directory in /usr/local/etc, 
unless modified during the compile time.
+#
+# Mandatory: no
+# Default:
+# Include=
+
+# Include=/usr/local/etc/zabbix_server.general.conf
+# Include=/usr/local/etc/zabbix_server.conf.d/
+# Include=/usr/local/etc/zabbix_server.conf.d/*.conf
+
+### Option: SSLCertLocation
+#      Location of SSL client certificates.
+#      This parameter is used only in web monitoring.
+#
+# Mandatory: no
+# Default:
+# SSLCertLocation=${datadir}/zabbix/ssl/certs
+
+### Option: SSLKeyLocation
+#      Location of private keys for SSL client certificates.
+#      This parameter is used only in web monitoring.
+#
+# Mandatory: no
+# Default:
+# SSLKeyLocation=${datadir}/zabbix/ssl/keys
+
+### Option: SSLCALocation
+#      Override the location of certificate authority (CA) files for SSL 
server certificate verification.
+#      If not set, system-wide directory will be used.
+#      This parameter is used only in web monitoring and SMTP authentication.
+#
+# Mandatory: no
+# Default:
+# SSLCALocation=
+
+####### LOADABLE MODULES #######
+
+### Option: LoadModulePath
+#      Full path to location of server modules.
+#      Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# LoadModulePath=${libdir}/modules
+
+### Option: LoadModule
+#      Module to load at server startup. Modules are used to extend 
functionality of the server.
+#      Format: LoadModule=<module.so>
+#      The modules must be located in directory specified by LoadModulePath.
+#      It is allowed to include multiple LoadModule parameters.
+#
+# Mandatory: no
+# Default:
+# LoadModule=
+
+####### TLS-RELATED PARAMETERS #######
+
+### Option: TLSCAFile
+#      Full pathname of a file containing the top-level CA(s) certificates for
+#      peer certificate verification.
+#
+# Mandatory: no
+# Default:
+# TLSCAFile=
+
+### Option: TLSCRLFile
+#      Full pathname of a file containing revoked certificates.
+#
+# Mandatory: no
+# Default:
+# TLSCRLFile=
+
+### Option: TLSCertFile
+#      Full pathname of a file containing the server certificate or 
certificate chain.
+#
+# Mandatory: no
+# Default:
+# TLSCertFile=
+
+### Option: TLSKeyFile
+#      Full pathname of a file containing the server private key.
+#
+# Mandatory: no
+# Default:
+# TLSKeyFile=

diff --git a/net-analyzer/zabbix/zabbix-3.0.3.ebuild 
b/net-analyzer/zabbix/zabbix-3.0.3.ebuild
new file mode 100644
index 0000000..5377e85
--- /dev/null
+++ b/net-analyzer/zabbix/zabbix-3.0.3.ebuild
@@ -0,0 +1,330 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+# needed to make webapp-config dep optional
+WEBAPP_OPTIONAL="yes"
+inherit flag-o-matic webapp java-pkg-opt-2 user systemd toolchain-funcs
+
+DESCRIPTION="ZABBIX is software for monitoring of your applications, network 
and servers"
+HOMEPAGE="http://www.zabbix.com/";
+MY_P=${P/_/}
+MY_PV=${PV/_/}
+SRC_URI="http://prdownloads.sourceforge.net/zabbix/${MY_P}.tar.gz";
+LICENSE="GPL-2"
+SLOT="0"
+WEBAPP_MANUAL_SLOT="yes"
+KEYWORDS="~amd64 ~x86"
+IUSE="+agent java curl frontend ipv6 xmpp ldap libxml2 mysql openipmi oracle 
postgres proxy server ssh snmp sqlite odbc static"
+REQUIRED_USE="|| ( agent frontend proxy server )
+       proxy? ( ^^ ( mysql oracle postgres sqlite odbc ) )
+       server? ( ^^ ( mysql oracle postgres sqlite odbc ) )
+       static? ( !oracle !snmp )"
+
+COMMON_DEPEND="snmp? ( net-analyzer/net-snmp )
+       ldap? (
+               net-nds/openldap
+               =dev-libs/cyrus-sasl-2*
+               net-libs/gnutls
+       )
+       mysql? ( >=virtual/mysql-5.0.3 )
+       sqlite? ( >=dev-db/sqlite-3.3.5 )
+       postgres? ( dev-db/postgresql:* )
+       oracle? ( >=dev-db/oracle-instantclient-basic-10.0.0.0 )
+       xmpp? ( dev-libs/iksemel )
+       libxml2? ( dev-libs/libxml2 )
+       curl? ( net-misc/curl )
+       openipmi? ( sys-libs/openipmi )
+       ssh? ( net-libs/libssh2 )
+       java? ( virtual/jdk:* )
+       odbc? ( dev-db/unixODBC )"
+
+RDEPEND="${COMMON_DEPEND}
+       proxy? ( net-analyzer/fping )
+       server? ( net-analyzer/fping
+               app-admin/webapp-config )
+       java?   (
+               >=virtual/jre-1.4
+               dev-java/slf4j-api
+       )
+       frontend? (
+               
>=dev-lang/php-5.3.0[bcmath,ctype,sockets,gd,truetype,xml,session,xmlreader,xmlwriter,nls,sysvipc,unicode]
+               || ( dev-lang/php[apache2] dev-lang/php[cgi] dev-lang/php[fpm] )
+               mysql? ( dev-lang/php[mysqli] )
+               odbc? ( dev-lang/php[odbc] )
+               oracle? ( dev-lang/php[oci8-instant-client] )
+               postgres? ( dev-lang/php[postgres] )
+               sqlite? ( dev-lang/php[sqlite] )
+               media-libs/gd[png]
+               app-admin/webapp-config )"
+DEPEND="${COMMON_DEPEND}
+       static? (
+               ldap? (
+                       net-nds/openldap[static-libs]
+                       =dev-libs/cyrus-sasl-2*[static-libs]
+                       net-libs/gnutls[static-libs]
+               )
+       mysql? ( >=virtual/mysql-5.0.3[static-libs] )
+       sqlite? ( >=dev-db/sqlite-3.3.5[static-libs] )
+       postgres? ( dev-db/postgresql:*[static-libs] )
+       libxml2? ( dev-libs/libxml2[static-libs] )
+       curl? ( net-misc/curl[static-libs] )
+       ssh? ( net-libs/libssh2[static-libs] )
+       odbc? ( dev-db/unixODBC[static-libs] )
+       )
+       virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+ZABBIXJAVA_BASE="opt/zabbix_java"
+
+pkg_setup() {
+       if use oracle; then
+               if [ -z "${ORACLE_HOME}" ]; then
+                       eerror
+                       eerror "The environment variable ORACLE_HOME must be 
set"
+                       eerror "and point to the correct location."
+                       eerror "It looks like you don't have Oracle installed."
+                       eerror
+                       die "Environment variable ORACLE_HOME is not set"
+               fi
+               if has_version 'dev-db/oracle-instantclient-basic'; then
+                       ewarn
+                       ewarn "Please ensure you have a full install of the 
Oracle client."
+                       ewarn "dev-db/oracle-instantclient* is NOT sufficient."
+                       ewarn
+               fi
+       fi
+
+       if use frontend; then
+               webapp_pkg_setup
+       fi
+
+       enewgroup zabbix
+       enewuser zabbix -1 -1 /var/lib/zabbix/home zabbix
+}
+
+java_prepare() {
+       cd "${S}/src/zabbix_java/lib"
+       rm -v *.jar || die
+
+       java-pkg_jar-from slf4j-api
+}
+
+src_prepare() {
+       default
+}
+
+src_configure() {
+       econf \
+               $(use_enable server) \
+               $(use_enable proxy) \
+               $(use_enable agent) \
+               $(use_enable ipv6) \
+               $(use_enable static) \
+               $(use_enable java) \
+               $(use_with ldap) \
+               $(use_with snmp net-snmp) \
+               $(use_with mysql) \
+               $(use_with postgres postgresql) \
+               $(use_with oracle) \
+               $(use_with sqlite sqlite3) \
+               $(use_with xmpp jabber) \
+               $(use_with curl libcurl) \
+               $(use_with openipmi openipmi) \
+               $(use_with ssh ssh2) \
+               $(use_with libxml2) \
+               $(use_with odbc unixodbc) \
+               || die "econf failed"
+}
+
+src_compile() {
+       if [ -f Makefile ] || [ -f GNUmakefile ] || [ -f makefile ]; then
+               emake AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" || die "emake 
failed"
+       fi
+}
+
+src_install() {
+       dodir \
+               /etc/zabbix \
+               /var/lib/zabbix \
+               /var/lib/zabbix/home \
+               /var/lib/zabbix/scripts \
+               /var/lib/zabbix/alertscripts \
+               /var/lib/zabbix/externalscripts \
+               /var/log/zabbix
+
+       keepdir \
+               /etc/zabbix \
+               /var/lib/zabbix \
+               /var/lib/zabbix/home \
+               /var/lib/zabbix/scripts \
+               /var/lib/zabbix/alertscripts \
+               /var/lib/zabbix/externalscripts \
+               /var/log/zabbix
+
+       if use server; then
+               insinto /etc/zabbix
+               doins "${FILESDIR}/3.0"/zabbix_server.conf
+               doinitd "${FILESDIR}/3.0"/init.d/zabbix-server
+               dosbin src/zabbix_server/zabbix_server
+               fowners zabbix:zabbix /etc/zabbix/zabbix_server.conf
+               fperms 0640 /etc/zabbix/zabbix_server.conf
+               dodir /usr/share/zabbix
+               /bin/cp -R "${S}/database/" "${D}"/usr/share/zabbix/
+               systemd_dounit "${FILESDIR}/zabbix-server.service"
+               systemd_newtmpfilesd "${FILESDIR}/zabbix-server.tmpfiles" 
zabbix-server.conf
+       fi
+
+       if use proxy; then
+               doinitd "${FILESDIR}/3.0"/init.d/zabbix-proxy
+               dosbin src/zabbix_proxy/zabbix_proxy
+               insinto /etc/zabbix
+               doins "${FILESDIR}/3.0"/zabbix_proxy.conf
+               dodir /usr/share/zabbix
+               /bin/cp -R "${S}/database/" "${D}"/usr/share/zabbix/
+               systemd_dounit "${FILESDIR}/zabbix-proxy.service"
+               systemd_newtmpfilesd "${FILESDIR}/zabbix-proxy.tmpfiles" 
zabbix-proxy.conf
+       fi
+
+       if use agent; then
+               insinto /etc/zabbix
+               doins "${FILESDIR}/3.0"/zabbix_agentd.conf
+               doinitd "${FILESDIR}/3.0"/init.d/zabbix-agentd
+               dosbin src/zabbix_agent/zabbix_agentd
+               dobin \
+                       src/zabbix_sender/zabbix_sender \
+                       src/zabbix_get/zabbix_get
+               fowners zabbix:zabbix /etc/zabbix/zabbix_agentd.conf
+               fperms 0640 /etc/zabbix/zabbix_agentd.conf
+               systemd_dounit "${FILESDIR}/zabbix-agentd.service"
+               systemd_newtmpfilesd "${FILESDIR}/zabbix-agentd.tmpfiles" 
zabbix-agentd.conf
+       fi
+
+       fowners zabbix:zabbix \
+               /etc/zabbix \
+               /var/lib/zabbix \
+               /var/lib/zabbix/home \
+               /var/lib/zabbix/scripts \
+               /var/lib/zabbix/alertscripts \
+               /var/lib/zabbix/externalscripts \
+               /var/log/zabbix
+       fperms 0750 \
+               /etc/zabbix \
+               /var/lib/zabbix \
+               /var/lib/zabbix/home \
+               /var/lib/zabbix/scripts \
+               /var/lib/zabbix/alertscripts \
+               /var/lib/zabbix/externalscripts \
+               /var/log/zabbix
+
+       dodoc README INSTALL NEWS ChangeLog \
+               conf/zabbix_agentd.conf \
+               conf/zabbix_proxy.conf \
+               conf/zabbix_agentd/userparameter_examples.conf \
+               conf/zabbix_agentd/userparameter_mysql.conf \
+               conf/zabbix_server.conf
+
+       if use frontend; then
+               webapp_src_preinst
+               cp -R frontends/php/* "${D}/${MY_HTDOCSDIR}"
+               webapp_configfile \
+                       "${MY_HTDOCSDIR}"/include/db.inc.php \
+                       "${MY_HTDOCSDIR}"/include/config.inc.php
+               webapp_src_install
+       fi
+
+       if use java; then
+          dodir \
+               /${ZABBIXJAVA_BASE} \
+               /${ZABBIXJAVA_BASE}/bin \
+               /${ZABBIXJAVA_BASE}/lib
+          keepdir /${ZABBIXJAVA_BASE}
+          exeinto /${ZABBIXJAVA_BASE}/bin
+          doexe src/zabbix_java/bin/zabbix-java-gateway-${MY_PV}.jar
+          exeinto /${ZABBIXJAVA_BASE}/lib
+          doexe \
+               src/zabbix_java/lib/logback-classic-0.9.27.jar \
+               src/zabbix_java/lib/logback-console.xml \
+               src/zabbix_java/lib/logback-core-0.9.27.jar \
+               src/zabbix_java/lib/logback.xml \
+               src/zabbix_java/lib/android-json-4.3_r3.1.jar \
+               src/zabbix_java/lib/slf4j-api-1.6.1.jar
+          exeinto /${ZABBIXJAVA_BASE}/
+          doexe \
+               src/zabbix_java/settings.sh \
+               src/zabbix_java/startup.sh \
+               src/zabbix_java/shutdown.sh
+          fowners -R zabbix:zabbix /${ZABBIXJAVA_BASE}
+       fi
+}
+
+pkg_postinst() {
+       if use server || use proxy ; then
+               elog
+               elog "You may need to configure your database for Zabbix,"
+               elog "if you have not already done so. "
+               elog
+
+               zabbix_homedir=$(egethome zabbix)
+               if [ -n "${zabbix_homedir}" ] && \
+                  [ "${zabbix_homedir}" != "/var/lib/zabbix/home" ]; then
+                       ewarn
+                       ewarn "The user 'zabbix' should have his homedir 
changed"
+                       ewarn "to /var/lib/zabbix/home if you want to use"
+                       ewarn "custom alert scripts."
+                       ewarn
+                       ewarn "A real homedir might be needed for configfiles"
+                       ewarn "for custom alert scripts (e.g. ~/.sendxmpprc 
when"
+                       ewarn "using sendxmpp for Jabber alerts)."
+                       ewarn
+                       ewarn "To change the homedir use:"
+                       ewarn "  usermod -d /var/lib/zabbix/home zabbix"
+                       ewarn
+               fi
+       fi
+
+       if use server; then
+               elog
+               elog "For distributed monitoring you have to run:"
+               elog
+               elog "zabbix_server -n <nodeid>"
+               elog
+               elog "This will convert database data for use with Node ID"
+               elog "and also adds a local node."
+               elog
+       fi
+
+       elog "--"
+       elog
+       elog "You may need to add these lines to /etc/services:"
+       elog
+       elog "zabbix-agent     10050/tcp Zabbix Agent"
+       elog "zabbix-agent     10050/udp Zabbix Agent"
+       elog "zabbix-trapper   10051/tcp Zabbix Trapper"
+       elog "zabbix-trapper   10051/udp Zabbix Trapper"
+       elog
+
+       if use server || use proxy ; then
+               # check for fping
+               fping_perms=$(stat -c %a /usr/sbin/fping 2>/dev/null)
+               case "${fping_perms}" in
+                       4[157][157][157])
+                               ;;
+                       *)
+                               ewarn
+                               ewarn "If you want to use the checks 'icmpping' 
and 'icmppingsec',"
+                               ewarn "you have to make /usr/sbin/fping setuid 
root and executable"
+                               ewarn "by everyone. Run the following command 
to fix it:"
+                               ewarn
+                               ewarn "  chmod u=rwsx,g=rx,o=rx /usr/sbin/fping"
+                               ewarn
+                               ewarn "Please be aware that this might impose a 
security risk,"
+                               ewarn "depending on the code quality of fping."
+                               ewarn
+                               ;;
+               esac
+       fi
+}

Reply via email to